@echo off
:top
cls
echo.                               Lo Wang 3D
echo                              Atomic Edition
echo.
echo                               by Paul Smith
echo                           a.k.a. Wally Waffles
echo.
echo                          1 - L(a)unch Lo Wang 3D
echo                          2 - Go to (S)ETUP utility
echo                          3 - (I)nstall Lo Wang 3D
echo                          4 - (U)ninstall Lo Wang 3D
echo                          5 - Read (t)ext file
echo                          6 - E(x)it
echo.
echo.
echo v1.64 - Last Modified: July 20, 1999
echo.
echo.
echo        Duke Nukem 3D, Shadow Warrior, and Lo Wang (c)1996-1997 3D Realms
echo This modified version of Duke Nukem 3D is not by or supported by 3D Realms
choice /n /c:123456asiutx /t:1,20
if errorlevel 12 goto end
if errorlevel 11 goto text
if errorlevel 10 goto uninstall
if errorlevel 9 goto install
if errorlevel 8 goto setup
if errorlevel 7 goto gameon
if errorlevel 6 goto end
if errorlevel 5 goto text
if errorlevel 4 goto uninstall
if errorlevel 3 goto install
if errorlevel 2 goto setup
if errorlevel 1 goto gameon

:gameon
CLS
if not exist WANG3D.GRP goto nogrp
if not exist WANGGAME.CON if exist KEXTRACT.EXE KEXTRACT.EXE WANG3D.GRP WANGGAME.CON
if not exist WANGGAME.CON if not exist KEXTRACT.EXE goto lostcon
echo Do you want:
echo.
echo    1 - Regular Single-Play
echo        or
echo    2 - Fake Multi-Mode with an AI opponent?
echo.
choice /n /c:12 /t:1,20
if errorlevel 2 goto gameonai
if errorlevel 1 goto gameonone

:gameonone
DUKE3D.EXE %1 %2 %3 %4 %5 %6 %7 %8 %9 /xWangGame.CON /gWANG3D.GRP
goto return

:gameonai
echo How many opponents do you want? (1-7)
choice /n /c:1234567 /t:1,20
if errorlevel 7 goto q8
if errorlevel 6 goto q7
if errorlevel 5 goto q6
if errorlevel 4 goto q5
if errorlevel 3 goto q4
if errorlevel 2 goto q3
if errorlevel 1 goto q2

:q2
DUKE3D.EXE /Q2 /A /V1 /L1 /M %1 %2 %3 %4 %5 %6 %7 %8 %9 /xWangGame.CON /gWANG3D.GRP
goto top

:q3
DUKE3D.EXE /Q3 /A /V1 /L1 /M %1 %2 %3 %4 %5 %6 %7 %8 %9 /xWangGame.CON /gWANG3D.GRP
goto top

:q4
DUKE3D.EXE /Q4 /A /V1 /L1 /M %1 %2 %3 %4 %5 %6 %7 %8 %9 /xWangGame.CON /gWANG3D.GRP
goto top

:q5
DUKE3D.EXE /Q5 /A /V1 /L1 /M %1 %2 %3 %4 %5 %6 %7 %8 %9 /xWangGame.CON /gWANG3D.GRP
goto top

:q6
DUKE3D.EXE /Q6 /A /V1 /L1 /M %1 %2 %3 %4 %5 %6 %7 %8 %9 /xWangGame.CON /gWANG3D.GRP
goto top

:q7
DUKE3D.EXE /Q7 /A /V1 /L1 /M %1 %2 %3 %4 %5 %6 %7 %8 %9 /xWangGame.CON /gWANG3D.GRP
goto top

:q8
DUKE3D.EXE /Q8 /A /V1 /L1 /M %1 %2 %3 %4 %5 %6 %7 %8 %9 /xWangGame.CON /gWANG3D.GRP
goto top

:install
cls
if not exist DUKE3D.EXE goto nogame
if exist WANG3D.GRP goto grp
echo If at any time you wish to abort installation, press Ctrl-C
echo.
echo The following 3 conditions MUST be present!
echo.
echo    *Are we in your Duke Nukem 3D - Atomic Edition directory?
echo    *Is PKUNZIP.EXE in the current directory?
echo    *Is the Shadow Warrior Registered Version CD in your CD Drive?
echo     Did you specify which drive letter as a command line parameter?
echo.
echo If these three conditions are not present, abort and make it so!
pause
if not exist WANG3D.ZIP goto nozip
if not exist PKUNZIP.EXE goto nopku
if "%1"=="" goto wherecd
CLS
echo Lo Wang 3D will require 15MB of space on your drive, but it takes
echo 32MB to install.  This is because what the installation process does is it
echo copies 15MB of individual files, then compiles them into a single archive
echo that is 15MB (WANG3D.GRP).  Then the 15.5MB of individual files are
echo deleted.  Okay?
pause
echo I'm going to create a directory called "MIXOLOGY" to build the new group file
echo you need;  after installation is complete, this mixology directory will be
echo deleted.  (If you abort during installation, you may have to manually delete
echo the MIXOLOGY directory and its contents.  Be sure to do so before
echo re-installing!)
echo.
pause
echo I'm also going to create a directory called YOURCRAP\WANG3D\  Should any of
echo YOUR files need to be backed up, this is where they'll be moved to.
echo If you have any TILES0*.ART files (00-19) in your directory they might
echo interfere with Lo Wang 3D, so they'll be backed up!
pause
CLS
echo Accessing CD-ROM on drive %1...
if not exist %1:\SWINST\SW.GRP goto nocd
if exist %1:\SWINST\SW.GRP if not exist %1:\SWINST\SW.RTS goto pir8
echo Copying files to MIXOLOGY...
if not exist KEXTRACT.EXE COPY %1:\GOODIES\BUILD\KEXTRACT.EXE
if not exist KGROUP.EXE COPY %1:\GOODIES\BUILD\KGROUP.EXE
if not exist RTSMAKER.EXE COPY %1:\GOODIES\RTSMAKER\RTSMAKER.EXE
MD MIXOLOGY
CD MIXOLOGY
COPY %1:\GOODIES\MIDI\254MM.MID
COPY %1:\GOODIES\MIDI\A10TION.MID
COPY %1:\GOODIES\MIDI\EVRYOFF.MID
COPY %1:\GOODIES\MIDI\MORSE.MID
COPY %1:\GOODIES\MIDI\OKINOWWA.MID
COPY %1:\SWINST\SW.RTS
..\KEXTRACT.EXE %1:\SWINST\SW.GRP ACCU01.VOC ACHS010.VOC ACS10.VOC AHH03.VOC AHSO5.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP AMDRIV01.VOC BABOON03.VOC BANZAI1.VOC BIGWPN01.VOC CBUNG01.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP CHARAD09.VOC COMEGET2.VOC DTIME.VOC EAT02.VOC ENDLEV3.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP EVADE01.VOC FCRACK01.VOC FWORKS01.VOC GHOP07.VOC GOODDAY4.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP GRUNT06.VOC HAHA11.VOC HAHA15.VOC HAHA19.VOC HCOW03.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP HCOW06.VOC HIRO03.VOC HSHIT03.VOC HSHIT04.VOC IAM01.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP ILIKE01.VOC ITEM5A.VOC ITEMBIG2.VOC JG1103.VOC JG2000.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP JG2001.VOC JG2005.VOC JG2020.VOC JG2032.VOC JG2074.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP JG3005.VOC JG3022.VOC JG3047.VOC JG4002.VOC JG41001.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP JG41024.VOC JG41048.VOC JG41058.VOC JG41060.VOC JG41075.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP JG42004.VOC JG42019.VOC JG42021.VOC JG42050.VOC JG42056.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP JG42061.VOC JG43004.VOC JG44011.VOC JG44014.VOC JG45030.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP JG45033.VOC JG45051.VOC JG45053.VOC JG46005.VOC JG46013.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP JG46050.VOC JG5042.VOC JG5049A.VOC JG7009.VOC JG9002.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP JG9009.VOC JG9022.VOC JG9032.VOC JG9038.VOC JG9055.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP JG9060.VOC JG92005.VOC JG92036.VOC JG92042.VOC JG93011.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP JG93018.VOC JG94002.VOC JG94024.VOC JG94039.VOC JG95012.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP JGB080.VOC JGB106.VOC JGB130.VOC JGEN06.VOC KILLU05.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP KUNGFU06.VOC LANI051.VOC LANI054.VOC LANI063.VOC LANI073.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP LANI075.VOC LANI077.VOC LANI079.VOC LIKNUK01.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP LMOVE01.VOC LUCK06.VOC LWANG05.VOC MCHAN01.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP MFLY03.VOC ML250101.VOC ML25014.VOC ML25032.VOC ML26008.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP ML26011.VOC NAGA06.VOC NATURAL4.VOC NODIFF07.VOC NOFEAR01.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP NOHONOR6.VOC NOPAIN.VOC PEARL03.VOC PHITGRND.VOC RAW01.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP RCHAN13.VOC REFLEX08.VOC REPMAN15.VOC SAYON09.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP SNATCH01.VOC SOB15.VOC STIFF01.VOC STUPID01.VOC SWDIE02.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP SWPAIN03.VOC SWPAIN05.VOC SWPAIN07.VOC SWPAIN22.VOC SWYELL03.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP SWYELL05.VOC SWYELL06.VOC SWYELL13.VOC SWYELL14.VOC SWYELL16.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP SWYELL22.VOC SWYELL23.VOC TAKSAN1.VOC TDICK02.VOC TELEPT02.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP TELPORT.VOC TOMB05.VOC TOURN01.VOC TSTICK01.VOC TSTICK05.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP TSTICK07.VOC TSTICK10.VOC TSWORD01.VOC TSWORD08.VOC TSWORD05.VOC
..\KEXTRACT.EXE %1:\SWINST\SW.GRP WEAK03.VOC WHIRL1.VOC WWANG11.VOC YAK02.VOC Z16043.VOC
..\RTSMAKER.EXE -U SW.RTS
echo Beginning file backup...
CD ..
MD YOURCRAP
CD YOURCRAP
MD WANG3D
CD ..
if exist TILES000.ART move TILES000.ART YOURCRAP\WANG3D
if exist TILES001.ART move TILES001.ART YOURCRAP\WANG3D
if exist TILES002.ART move TILES002.ART YOURCRAP\WANG3D
if exist TILES003.ART move TILES003.ART YOURCRAP\WANG3D
if exist TILES004.ART move TILES004.ART YOURCRAP\WANG3D
if exist TILES005.ART move TILES005.ART YOURCRAP\WANG3D
if exist TILES006.ART move TILES006.ART YOURCRAP\WANG3D
if exist TILES007.ART move TILES007.ART YOURCRAP\WANG3D
if exist TILES008.ART move TILES008.ART YOURCRAP\WANG3D
if exist TILES009.ART move TILES009.ART YOURCRAP\WANG3D
if exist TILES010.ART move TILES010.ART YOURCRAP\WANG3D
if exist TILES011.ART move TILES011.ART YOURCRAP\WANG3D
if exist TILES012.ART move TILES012.ART YOURCRAP\WANG3D
if exist TILES013.ART move TILES013.ART YOURCRAP\WANG3D
if exist TILES014.ART move TILES014.ART YOURCRAP\WANG3D
if exist TILES015.ART move TILES015.ART YOURCRAP\WANG3D
if exist TILES016.ART move TILES016.ART YOURCRAP\WANG3D
if exist TILES017.ART move TILES017.ART YOURCRAP\WANG3D
if exist TILES018.ART move TILES018.ART YOURCRAP\WANG3D
if exist TILES019.ART move TILES019.ART YOURCRAP\WANG3D
if exist DEMO1.DMO move DEMO*.DMO YOURCRAP\WANG3D
if exist DEMO2.DMO move DEMO*.DMO YOURCRAP\WANG3D
if exist DEMO3.DMO move DEMO*.DMO YOURCRAP\WANG3D
if exist DEMO4.DMO move DEMO*.DMO YOURCRAP\WANG3D
if exist DEMO5.DMO move DEMO*.DMO YOURCRAP\WANG3D
if exist DEMO6.DMO move DEMO*.DMO YOURCRAP\WANG3D
if exist DEMO7.DMO move DEMO*.DMO YOURCRAP\WANG3D
if exist DEMO8.DMO move DEMO*.DMO YOURCRAP\WANG3D
if exist DEMO9.DMO move DEMO*.DMO YOURCRAP\WANG3D
if exist LOGO.ANM move LOGO.ANM YOURCRAP\WANG3D
if exist RADLOGO.ANM move RADLOGO.ANM YOURCRAP\WANG3D
if exist DUKETEAM.ANM move DUKETEAM.ANM YOURCRAP\WANG3D
CD MIXOLOGY
pause
echo Unzipping WANG3D.ZIP to MIXOLOGY...
..\PKUNZIP.EXE ..\WANG3D.ZIP *.*
if exist ..\SW.RTS del SW.RTS
if exist SW.RTS MOVE SW.RTS ..
echo Compiling WANG3D.GRP...
..\KGROUP.EXE WANG3D.GRP *.*
MOVE WANG3D.GRP ..
MOVE WANGGAME.CON ..
MOVE WANG3D.TXT ..
MOVE WANG3D.BAT ..
CD ..
echo I am now deleting my MIXOLOGY directory...
DEL MIXOLOGY\*.VOC
DEL MIXOLOGY\*.MID
DEL MIXOLOGY\*.CON
DEL MIXOLOGY\*.DIZ
DEL MIXOLOGY\*.ART
DEL MIXOLOGY\*.MAP
DEL MIXOLOGY\*.DMO
DEL MIXOLOGY\*.ANM
RD MIXOLOGY
echo.
echo.
echo Installation complete!  Select "1" from the main menu to launch!
echo Woo, After all that work, Lo Wang feel like a song!  Row, row, row your
echo boat, gently down the stream...
echo.
echo If you want to use a Lo Wang RTS file go to setup and change the RTS file
echo selection!  SW.RTS is the original Shadow Warrior RTS file.  Other RTS files
echo (including voices from Shadow Warrior, Duke Nukem 3D, Redneck Rampage, and
echo Blood) can be downloaded from my website.  See WANG3D.TXT for the URL.
goto return

:wherecd
CLS
echo Whoops!  You didn't specify which letter is assigned to your CD-ROM drive.
echo Do so with a commandline parameter.  For example, if your CD-ROM drive
echo is letter "D", then when you launch this batch file with the intention of
echo INSTALLING, you'd type this at the commandline:
echo.
echo     WANG3D.BAT D
echo.
echo.
echo.
pause
echo Installation has been aborted.
pause
goto end


:uninstall
if not exist WANG3D.GRP goto cant_un
cls
echo Are you SURE you want to UNINSTALL Lo Wang 3D?   [Y/N]
choice /n /c:yn /t:n,20
if errorlevel 2 goto no_un
if errorlevel 1 goto yes_un

:no_un
echo Uninstallation Aborted ^.^
goto return

:yes_un
echo You chose to UNINSTALL!
pause
echo Lo Wang 3D - Atomic Edition is now being uninstalled...
if exist WANGGAME.CON DEL WANGGAME.CON
if exist WANGDEFS.CON DEL WANGDEFS.CON
if exist WANGUSER.CON DEL WANGUSER.CON
if exist WANG3D.TXT DEL WANG3D.TXT
if exist WANG3D.GRP DEL WANG3D.GRP
if exist YOURCRAP\WANG3D\TILES000.ART goto unback
if exist YOURCRAP\WANG3D\TILES001.ART goto unback
if exist YOURCRAP\WANG3D\TILES002.ART goto unback
if exist YOURCRAP\WANG3D\TILES003.ART goto unback
if exist YOURCRAP\WANG3D\TILES004.ART goto unback
if exist YOURCRAP\WANG3D\TILES005.ART goto unback
if exist YOURCRAP\WANG3D\TILES006.ART goto unback
if exist YOURCRAP\WANG3D\TILES007.ART goto unback
if exist YOURCRAP\WANG3D\TILES008.ART goto unback
if exist YOURCRAP\WANG3D\TILES009.ART goto unback
if exist YOURCRAP\WANG3D\TILES010.ART goto unback
if exist YOURCRAP\WANG3D\TILES011.ART goto unback
if exist YOURCRAP\WANG3D\TILES012.ART goto unback
if exist YOURCRAP\WANG3D\TILES013.ART goto unback
if exist YOURCRAP\WANG3D\TILES014.ART goto unback
if exist YOURCRAP\WANG3D\TILES015.ART goto unback
if exist YOURCRAP\WANG3D\TILES016.ART goto unback
if exist YOURCRAP\WANG3D\TILES017.ART goto unback
if exist YOURCRAP\WANG3D\TILES018.ART goto unback
if exist YOURCRAP\WANG3D\TILES019.ART goto unback
if exist YOURCRAP\WANG3D\DEMO1.DMO goto unback
if exist YOURCRAP\WANG3D\DEMO2.DMO goto unback
if exist YOURCRAP\WANG3D\DEMO3.DMO goto unback
if exist YOURCRAP\WANG3D\DEMO4.DMO goto unback
if exist YOURCRAP\WANG3D\DEMO5.DMO goto unback
if exist YOURCRAP\WANG3D\DEMO6.DMO goto unback
if exist YOURCRAP\WANG3D\DEMO7.DMO goto unback
if exist YOURCRAP\WANG3D\DEMO8.DMO goto unback
if exist YOURCRAP\WANG3D\DEMO9.DMO goto unback
if exist YOURCRAP\WANG3D\LOGO.ANM goto unback
if exist YOURCRAP\WANG3D\RADLOGO.ANM goto unback
if exist YOURCRAP\WANG3D\DUKETEAM.ANM goto unback
goto unfin

:unback
echo The following files were backed up when you installed Lo Wang 3D:
pause
dir YOURCRAP\WANG3D /p
echo What do you want done with these files?
echo.
echo      1 - Restore these files to my Duke3D directory
echo.
echo      2 - Leave these files and I'll take care of them
echo.
echo      3 - Don't restore these files;  Delete them!
echo.
choice /n /c:123
if errorlevel 3 goto undel
if errorlevel 2 goto unstay
if errorlevel 1 goto unres

:unres
echo Restoring your files from YOURCRAP\WANG3D
CD YOURCRAP\WANG3D
MOVE *.* ..\..
CD ..
RD WANG3D
CD ..
goto unfin

:unstay
echo Backed up files shall remain backed up...
goto unfin

:undel
echo Deleting your backed up files...
if exist YOURCRAP\WANG3D\TILES000.ART del YOURCRAP\WANG3D\*.ART
if exist YOURCRAP\WANG3D\TILES001.ART del YOURCRAP\WANG3D\*.ART
if exist YOURCRAP\WANG3D\TILES002.ART del YOURCRAP\WANG3D\*.ART
if exist YOURCRAP\WANG3D\TILES003.ART del YOURCRAP\WANG3D\*.ART
if exist YOURCRAP\WANG3D\TILES004.ART del YOURCRAP\WANG3D\*.ART
if exist YOURCRAP\WANG3D\TILES005.ART del YOURCRAP\WANG3D\*.ART
if exist YOURCRAP\WANG3D\TILES006.ART del YOURCRAP\WANG3D\*.ART
if exist YOURCRAP\WANG3D\TILES007.ART del YOURCRAP\WANG3D\*.ART
if exist YOURCRAP\WANG3D\TILES008.ART del YOURCRAP\WANG3D\*.ART
if exist YOURCRAP\WANG3D\TILES009.ART del YOURCRAP\WANG3D\*.ART
if exist YOURCRAP\WANG3D\TILES010.ART del YOURCRAP\WANG3D\*.ART
if exist YOURCRAP\WANG3D\TILES011.ART del YOURCRAP\WANG3D\*.ART
if exist YOURCRAP\WANG3D\TILES012.ART del YOURCRAP\WANG3D\*.ART
if exist YOURCRAP\WANG3D\TILES013.ART del YOURCRAP\WANG3D\*.ART
if exist YOURCRAP\WANG3D\TILES014.ART del YOURCRAP\WANG3D\*.ART
if exist YOURCRAP\WANG3D\TILES015.ART del YOURCRAP\WANG3D\*.ART
if exist YOURCRAP\WANG3D\TILES016.ART del YOURCRAP\WANG3D\*.ART
if exist YOURCRAP\WANG3D\TILES017.ART del YOURCRAP\WANG3D\*.ART
if exist YOURCRAP\WANG3D\TILES018.ART del YOURCRAP\WANG3D\*.ART
if exist YOURCRAP\WANG3D\TILES019.ART del YOURCRAP\WANG3D\*.ART
if exist YOURCRAP\WANG3D\DEMO1.DMO del YOURCRAP\WANG3D\*.DMO
if exist YOURCRAP\WANG3D\DEMO2.DMO del YOURCRAP\WANG3D\*.DMO
if exist YOURCRAP\WANG3D\DEMO3.DMO del YOURCRAP\WANG3D\*.DMO
if exist YOURCRAP\WANG3D\DEMO4.DMO del YOURCRAP\WANG3D\*.DMO
if exist YOURCRAP\WANG3D\DEMO5.DMO del YOURCRAP\WANG3D\*.DMO
if exist YOURCRAP\WANG3D\DEMO6.DMO del YOURCRAP\WANG3D\*.DMO
if exist YOURCRAP\WANG3D\DEMO7.DMO del YOURCRAP\WANG3D\*.DMO
if exist YOURCRAP\WANG3D\DEMO8.DMO del YOURCRAP\WANG3D\*.DMO
if exist YOURCRAP\WANG3D\DEMO9.DMO del YOURCRAP\WANG3D\*.DMO
if exist YOURCRAP\WANG3D\LOGO.ANM del YOURCRAP\WANG3D\*.ANM
if exist YOURCRAP\WANG3D\RADLOGO.ANM del YOURCRAP\WANG3D\*.ANM 
if exist YOURCRAP\WANG3D\DUKETEAM.ANM del YOURCRAP\WANG3D\*.ANM
CD YOURCRAP
RD WANG3D
CD ..
goto unfin

:unfin
echo.
echo Uninstallation complete.
echo To REALLY finalize uninstallation though, you must delete WANG3D.BAT
goto return

:setup
if not exist WANG3D.GRP goto nogrp
if not exist WANGGAME.CON if exist KEXTRACT.EXE KEXTRACT.EXE WANG3D.GRP WANGGAME.CON
if not exist WANGGAME.CON if not exist KEXTRACT.EXE goto lostcon
SETUP.EXE %1 %2 %3 %4 %5 %6 %7 %8 %9 /xWANGGAME.CON /gWANG3D.GRP
goto top

:text
if not exist WANG3D.TXT if exist WANG3D.GRP if exist KEXTRACT.EXE KEXTRACT.EXE WANG3D.GRP WANG3D.TXT
if not exist WANG3D.TXT if not exist WANG3D.GRP if exist PKUNZIP.EXE if exist WANG3D.ZIP PKUNZIP.EXE WANG3D.ZIP WANG3D.TXT
if not exist WANG3D.TXT echo WANG3D.TXT not found!
if not exist WANG3D.TXT echo You can extract it from WANG3D.ZIP or WANG3D.GRP
if exist WANG3D.TXT type WANG3D.TXT | MORE
goto return

:nocd
echo File SW.GRP was not found on drive %1!
echo.
echo Three possible errors:
echo          *%1 is not your CD-ROM Drive
echo          *Your Shadow Warrior CD is not in the drive
echo          *Your Shadow Warrior CD is in the drive, but you didn't wait for
echo           the auto CD check to finish
pause
goto end

:pir8
echo Hey!  You're not trying to run off of a pirated copy are you?!
echo.
echo.
echo Another possibility is if your registered version of Shadow Warrior came on
echo one of those messy bonus disks (such as the Platnum 3D Action Pack that came
echo with Rise of the Triad, Terminal Velocity, and Black Knight) the directory
echo structure may be different.  But at the time of this writing there is no such
echo thing that includes Shadow Warrior.  If this is the case, email me about it.
pause
goto end

:nogrp
echo Sorry, but you must install Lo Wang 3D before you can play it
goto return

:cant_un
echo You must install Lo Wang 3D before you can uninstall it!
echo (WANG3D.GRP not found!)
goto return

:nogame
echo DUKE3D.EXE not found!
echo This leads me to believe that we are NOT in your Duke3D directory!
goto return

:grp
echo Lo Wang 3D has already been installed!
echo    (File WANG3D.GRP already exists)
goto return

:lostcon
echo WANGGAME.CON not found!
echo You'll need to "Kextract" WANGGAME.CON from WANG3D.GRP
echo Lo Wang 3D will crash without it!
goto return

:nozip
echo WANG3D.ZIP not found!
goto insterr

:nopku
echo PKUNZIP.EXE not found!
goto insterr

:insterr
echo Installation cannot proceed without this file!
goto return

:return
pause
goto top

:end
cls
echo                             Lo Wang 3D
echo                           Atomic Edition
echo.
echo                     Volume 1: L.A. Meltdown
echo                     Volume 2: Lunar Apocalypse
echo                     Volume 3: Shrapnel City
echo                     Volume 4: The Birth
echo.
echo                 WANG3D.GRP was smacked together by Paul Smith
echo                 Nick: Wally Waffles 
echo                 E-Mail address: WallyWaffles@yahoo.com
echo                 URL: http://www.geocities.com/TimesSquare/Fortress/1896
echo                 Last Modified: July 20, 1999 (v1.64)
echo.
echo        Duke Nukem 3D, Shadow Warrior, and Lo Wang (c)1996-1997 3D Realms
echo This modified version of Duke Nukem 3D is not by or supported by 3D Realms
echo.
echo Please distribute WANG3D.ZIP to your friends!  If this is included in a
echo disk compilation, please send me a free copy.  I'd REALLY apreciate it!
echo Thanks!
